#!/bin/bash

NO_SIGALA_MSG="No se está ejecutando SIGALA. Este es el método recomendado para configurar y ejecutar ITALC.

¿Quiere intentar obtener la configuración de GESUSER?"

# Se intenta obtener la configuración desde SIGALA. 
# Para evitar comportamientos no deseados, solo se intenta 
# obtener la configuración de SIGALA si el paquete está 
# instalado.
[ -z "$(dpkg -l sigala)" ] || HAYSIGALA=1

if [ $HAYSIGALA  ]
then
    /usr/bin/get_sigala_italc_config
    RET=$?
    # Se no se ha podido obtener la configuración desde SIGALA, se
    # da la opción de usar gesuser, pero no es recomendado.
    if [ $RET -ne 0 ]
    then
        zenity --question --text "$NO_SIGALA_MSG"
        RET=$?
        if [ $RET -eq 0 ]
        then
            # Se obtiene la configuración desde gesuser...
            FROMGESUSER=1
        else
            # No se quiere obtener la configuración desde gesuser, se sale
            exit 1
        fi
    fi
fi

if [ "x$FROMGESUSER" == "x1" ] || [ "x$HAYSIGALA" != "x1" ]
then
    /usr/bin/get_gesuser_italc_config.sh
fi

/usr/bin/italc
