#!/bin/bash

URL="/gesuser/modules/italc"
AULAS="$URL/aulas.conf"
TMPFILE="$(mktemp)"
SERVER="c0"

ERROR_CODE=0
ERROR_AULASCONF="Ha ocurrido un error al obtener las aulas del servidor.\nSe continuará con la configuración local"
ERROR_AULA="Ha ocurrido un error al descargar la configuración del aula.\nSe continuará con la configuración local"
ERROR_PROFESOR="Es necesario pertenecer al grupo profesores para lanzar italc con la configuración de Gesuser."

function error_aulasconf()
{
        zenity --info --text "$ERROR_AULASCONF"
        exit 0
}

function error_aula()
{
        zenity --info --text "$ERROR_AULA"
        exit 0
}

if [ "x$(groups |grep profesores)" == "x" ]
then
    zenity --error --text "$ERROR_PROFESOR"
    kill -9 $PPID
    exit 1
fi

wget -o /dev/null -O $TMPFILE http://$SERVER/$AULAS || ERROR_CODE=1;

if [ $ERROR_CODE -ne 0 ];
then
        error_aulasconf
fi

AULA_ELEGIDA=$(cat $TMPFILE | zenity --list --column "Aula" --title "Selección de aula" --text "Aulas disponibles en el servidor")

if [ "$AULA_ELEGIDA" == "" ];
then
        kill -9 $PPID
        exit 1
fi

ERROR_CODE=0
rm -f $TMPFILE
TMPFILE=/tmp/$AULA_ELEGIDA.txt

wget -o /dev/null -O $TMPFILE http://$SERVER/$URL/$AULA_ELEGIDA.txt || ERROR_CODE=1;

if [ $ERROR_CODE -ne 0 ]
then
        error_aula
        exit 0
fi

/usr/bin/genera_config.sh $TMPFILE

